<?xml version="1.0" encoding="utf-8"?>
<t:layoutdefinition xmlns:t="http://www.CaptainCasa.com/controllibrary/t" >

<t:beanprocessing id="g_1" beanbinding="#{d.PanelConfigBean}" />
<t:row id="g_5" />
<t:rowbodypane id="g_4" >
<t:row id="g_13" >
<t:splitpane id="g_14" dividerlocation="400" dividersize="2" height="220" orientation="horizontal" width="100%" withwritebackdividerlocation="true" >
<t:splitpanesplit id="g_15" >
<t:rowdistance id="g_202" />
<t:row id="g_7" >
<t:coldistance id="g_2" />
<t:label id="g_3" font="size:16" text="Koordinaten Panel Matirx:" />
<t:coldistance id="g_6" />
<t:label id="g_10" />
<t:coldistance id="g_8" />
</t:row>
<t:rowdistance id="g_42" />
<t:row id="g_9" >
<t:coldistance id="g_43" />
<t:label id="g_11" text="Anzahl Panels:" width="100" />
<t:field id="g_12" actionListener="#{d.PanelConfigBean.onPanelsCreate}" align="center" flush="true" text="#{d.PanelConfigBean.anzahlPanels}" width="100" />
<t:coldistance id="g_30" width="15" />
<t:button id="g_31" actionListener="#{d.PanelConfigBean.onPanelsCreate}" text="Panels Auslesen" width="180" />
</t:row>
<t:rowdistance id="g_24" />
<t:row id="g_25" >
<t:coldistance id="g_44" />
<t:label id="g_45" text="Matrix X:" width="100" />
<t:field id="g_17" align="center" flush="true" text="#{d.PanelConfigBean.matrixX}" width="100" />
</t:row>
<t:rowdistance id="g_18" />
<t:row id="g_19" >
<t:coldistance id="g_20" />
<t:label id="g_21" text="Matrix Y:" width="100" />
<t:field id="g_22" align="center" flush="true" text="#{d.PanelConfigBean.matrixY}" width="100" />
<t:coldistance id="g_33" width="15" />
<t:button id="g_34" actionListener="#{d.PanelConfigBean.onCheckAndCreate}" text="Check And Create" width="180" />
</t:row>
<t:rowdistance id="g_27" height="15" />
<t:row id="g_99" >
<t:coldistance id="g_101" />
<t:label id="g_103" text="Color Setter:" width="100" />
<t:colorfield id="g_111" flush="true" value="#{d.PanelConfigBean.color}" width="100" />
<t:coldistance id="g_115" />
<t:toggle id="g_174" actionListener="#{d.PanelConfigBean.onCheckZurodnung}" flush="true" imagefalse="/eclntjsfserver.images.iconssvg.toggleoff.#ff0000.36x24.ccsvg" imagenull="/eclntjsfserver.images.iconssvg.toggleoff.#c0c0c0.36x24.ccsvg" imagetrue="/eclntjsfserver.images.iconssvg.toggleon.#00ff00.36x24.ccsvg" selected="#{d.PanelConfigBean.startZuordnung}" text="Start Zuordnung" />
<t:label id="g_109" width="60" />
</t:row>
<t:rowdistance id="g_178" height="20" />
<t:row id="g_180" >
<t:coldistance id="g_182" />
<t:combobox id="g_184" actionListener="#{d.PanelConfigBean.onLayoutFile}" flush="true" validvaluesbinding="#{d.PanelConfigBean.layoutFileVV}" value="#{d.PanelConfigBean.layoutFile}" width="200" />
<t:coldistance id="g_186" />
<t:button id="g_188" actionListener="#{d.PanelConfigBean.onLoad}" text="#{rr.literalsNanoleaf[&#39;load&#39;]}" width="90" />
<t:coldistance id="g_190" />
<t:button id="g_192" actionListener="#{d.PanelConfigBean.onSave}" text="#{rr.literalsNanoleaf[&#39;save&#39;]}" width="90" />
</t:row>
</t:splitpanesplit>
<t:splitpanesplit id="g_16" >
<t:rowdistance id="g_47" />
<t:row id="g_48" >
<t:coldistance id="g_49" />
<t:label id="g_50" font="size:16" text="Nanoleaf Informationen:" />
</t:row>
<t:rowdistance id="g_52" />
<t:row id="g_53" >
<t:coldistance id="g_23" />
<t:label id="g_54" text="Hostname" width="200" />
<t:coldistance id="g_56" />
<t:label id="g_26" text="IP Adresse" width="200" />
<t:coldistance id="g_57" />
<t:label id="g_28" text="Port" width="80" />
</t:row>
<t:rowdistance id="g_29" />
<t:row id="g_60" >
<t:coldistance id="g_61" />
<t:field id="g_32" text="#{d.PanelConfigBean.hostname}" width="200" />
<t:coldistance id="g_62" />
<t:field id="g_63" text="#{d.PanelConfigBean.ipAdresse}" width="200" />
<t:coldistance id="g_35" />
<t:field id="g_36" text="#{d.PanelConfigBean.port}" width="80" />
</t:row>
<t:rowdistance id="g_38" height="15" />
<t:row id="g_37" >
<t:coldistance id="g_39" />
<t:label id="g_41" text="Nanoleaf Token" width="200" />
</t:row>
<t:rowdistance id="g_64" height="15" />
<t:row id="g_65" >
<t:coldistance id="g_66" />
<t:field id="g_67" enabled="false" text="#{d.PanelConfigBean.nanoleafToken}" width="250" />
<t:coldistance id="g_74" />
<t:button id="g_46" actionListener="#{d.PanelConfigBean.onNanoleafConnect}" text="Connect" width="80" />
<t:coldistance id="g_93" />
<t:button id="g_95" actionListener="#{d.PanelConfigBean.onNanoleafDeconnect}" text="Deconnect" />
<t:coldistance id="g_83" />
<t:button id="g_84" actionListener="#{d.PanelConfigBean.onPanelsOn}" background="#00ff00" text="ON" width="60" />
<t:coldistance id="g_85" />
<t:button id="g_86" actionListener="#{d.PanelConfigBean.onPanelsOff}" background="#ff0000" text="OFF" width="60" />
</t:row>
<t:rowdistance id="g_194" height="25" />
<t:row id="g_196" >
<t:coldistance id="g_198" />
<t:button id="g_200" actionListener="#{d.PanelConfigBean.onReset}" text="#{rr.literalsNanoleaf[&#39;reset&#39;]}" width="100" />
</t:row>
</t:splitpanesplit>
</t:splitpane>
</t:row>
<t:rowdistance id="g_176" />
<t:rowline id="g_58" />
<t:rowdistance id="g_68" height="15" />
<t:row id="g_69" >
<t:scrollpane id="g_76" height="100" width="100%" >
<t:rowdistance id="g_79" />
<t:row id="g_125" >
<t:repeat id="g_140" listbinding="#{d.PanelConfigBean.panelInfoListSource}" >
<t:pane id="g_141" border=".{border}" dragsend=".{drangsendSource}" height="60" reference=".{panelID}" width="60" >
<t:rowdistance id="g_142" />
<t:row id="g_143" >
<t:coldistance id="g_144" width="50%" />
<t:label id="g_145" text=".{panelNanoleafID}" />
</t:row>
</t:pane>
<t:coldistance id="g_146" />
</t:repeat>
</t:row>
<t:rowdistance id="g_81" />
</t:scrollpane>
</t:row>
<t:rowdistance id="g_71" height="15" />
<t:repeat id="g_165" listbinding="#{d.PanelConfigBean.paneRepeatList}" >
<t:row id="g_166" >
<t:repeat id="g_167" listbinding=".{panelInfoList}" >
<t:pane id="g_168" actionListener="#{d.PanelConfigBean.onDropPanelActions}" border=".{border}" dropreceive="NANOLEAF" height="60" reference=".{panelID}" width="60" >
<t:rowdistance id="g_169" />
<t:row id="g_170" >
<t:coldistance id="g_171" width="50%" />
<t:label id="g_172" text=".{panelNanoleafID}" />
</t:row>
</t:pane>
</t:repeat>
</t:row>
</t:repeat>
</t:rowbodypane>

</t:layoutdefinition>